## org.biojava.bio.structure.io.mmcif.chem
Enum ResidueType

    java.lang.Object
      java.lang.Enum<ResidueType>
          org.biojava.bio.structure.io.mmcif.chem.ResidueType

All Implemented Interfaces:
  Serializable, Comparable<ResidueType>

    public enum ResidueType

extends Enum<ResidueType>
implements Serializable

Enumerates the possible classifications of residues. This information is derived from the mmcif dictionary.

Since:
  1.7
Author:
  mulvaney, Andreas Prlic
See Also:
  link into mmCIF dictionary

Enum Constant Summary
`atomn`
`dna3PrimeTerminus`
`dna5PrimeTerminus`
`dnaLinking`
`dPeptideAminoTerminus`
`dPeptideCarboxyTerminus`
`dPeptideLinking`
`dSaccharide`
`dSaccharide14and14linking`
`dSaccharide14and16linking`
`glycine`
`lPeptideAminoTerminus`
`lPeptideCarboxyTerminus`
`lPeptideLinking`
`lSaccharide`
`lSaccharide14and14linking`
`lSaccharide14and16linking`
`nonPolymer`
`otherChemComp`
`rna3PrimeTerminus`
`rna5PrimeTerminus`
`rnaLinking`
`saccharide`

Field Summary
`String` `chem_comp_type` String value of the type
`PolymerType` `polymerType` The associated `PolymerType`

Method Summary
`static ResidueType` `getResidueTypeFromString(String chem_comp_type)`
`static ResidueType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResidueType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### atomn

    public static final ResidueType atomn

### dPeptideLinking

    public static final ResidueType dPeptideLinking

### lPeptideLinking

    public static final ResidueType lPeptideLinking

### glycine

    public static final ResidueType glycine

### dPeptideAminoTerminus

    public static final ResidueType dPeptideAminoTerminus

### lPeptideAminoTerminus

    public static final ResidueType lPeptideAminoTerminus

### dPeptideCarboxyTerminus

    public static final ResidueType dPeptideCarboxyTerminus

### lPeptideCarboxyTerminus

    public static final ResidueType lPeptideCarboxyTerminus

### dnaLinking

    public static final ResidueType dnaLinking

### rnaLinking

    public static final ResidueType rnaLinking

### dna3PrimeTerminus

    public static final ResidueType dna3PrimeTerminus

### rna3PrimeTerminus

    public static final ResidueType rna3PrimeTerminus

### dna5PrimeTerminus

    public static final ResidueType dna5PrimeTerminus

### rna5PrimeTerminus

    public static final ResidueType rna5PrimeTerminus

### dSaccharide

    public static final ResidueType dSaccharide

### dSaccharide14and14linking

    public static final ResidueType dSaccharide14and14linking

### dSaccharide14and16linking

    public static final ResidueType dSaccharide14and16linking

### lSaccharide

    public static final ResidueType lSaccharide

### lSaccharide14and14linking

    public static final ResidueType lSaccharide14and14linking

### lSaccharide14and16linking

    public static final ResidueType lSaccharide14and16linking

### saccharide

    public static final ResidueType saccharide

### nonPolymer

    public static final ResidueType nonPolymer

### otherChemComp

    public static final ResidueType otherChemComp

Field Detail

### polymerType

    public final PolymerType polymerType

  The associated `PolymerType`

### chem_comp_type

    public final String chem_comp_type

  String value of the type

Method Detail

### values

    public static final ResidueType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResidueType c : ResidueType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResidueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getResidueTypeFromString

    public static ResidueType getResidueTypeFromString(String chem_comp_type)